Package org.apache.torque.templates.transformer.om

## Enum TableChildElementName

- java.lang.Object
- - java.lang.Enum<TableChildElementName>
  - - org.apache.torque.templates.transformer.om.TableChildElementName

- All Implemented Interfaces:
    `Serializable`, `Comparable<TableChildElementName>`, `SourceElementName`

      public enum TableChildElementName
      extends Enum<TableChildElementName>
      implements SourceElementName

  Contains the child elements for a table source element which are not defined in the Torque schema. These elements might be created in the transformation of a table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FOREIGN` | The foreign elements of the JOIN_GETTER.
    `INHERITANCE_COLUMN` | The element containing the inheritance column.
    `JOIN_GETTER` | A getter to join a table remote by two foreign key relations.
    `LOCAL` | The local elements of the JOIN_GETTER.
    `PRIMARY_KEYS` | Contains all primary key columns of the table.
    `REFERENCING_FOREIGN_KEYS` | Contains all foreign keys referencing this table.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name of the referenced source element.
    `String` | `toString()` |
    `static TableChildElementName` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TableChildElementName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INHERITANCE_COLUMN

          public static final TableChildElementName INHERITANCE_COLUMN

      The element containing the inheritance column.

    - #### REFERENCING_FOREIGN_KEYS

          public static final TableChildElementName REFERENCING_FOREIGN_KEYS

      Contains all foreign keys referencing this table.

    - #### PRIMARY_KEYS

          public static final TableChildElementName PRIMARY_KEYS

      Contains all primary key columns of the table.

    - #### JOIN_GETTER

          public static final TableChildElementName JOIN_GETTER

      A getter to join a table remote by two foreign key relations.

    - #### LOCAL

          public static final TableChildElementName LOCAL

      The local elements of the JOIN_GETTER.

    - #### FOREIGN

          public static final TableChildElementName FOREIGN

      The foreign elements of the JOIN_GETTER.

  - ### Method Detail

    - #### values

          public static TableChildElementName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableChildElementName c : TableChildElementName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableChildElementName valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element.
      Specified by:
        `getName` in interface `SourceElementName`
      Returns:
        the name of the referenced source element.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TableChildElementName>`